- Home
- API Enriched
- Ddos
- infraprotect
- Update Tunnel Clear DF Bit.
Update Tunnel Clear DF Bit.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_tunnels/update-tunnel-clear-df-bit';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"clear_df_bit_disabled":{},"clear_df_bit_enabled":{},"namespace":"example","tunnel_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_tunnels/update-tunnel-clear-df-bit \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "clear_df_bit_disabled": {}, "clear_df_bit_enabled": {}, "namespace": "example", "tunnel_id": "example" }'Update Tunnel Clear DF Bit.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace in which the tunnel clear df bit is to be updated.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to update tunnel lear DF bit.
object
object
object
Namespace in which the tunnel clear df bit is to be updated.
Unique identifier of the tunnel to update.
Examplegenerated
{ "clear_df_bit_disabled": {}, "clear_df_bit_enabled": {}, "namespace": "example", "tunnel_id": "example"}Responses
Section titled “Responses”A successful response.
Response returned from a tunnel clear df bit update.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example